summaryrefslogtreecommitdiffstats
path: root/source/xap/blueman
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-06-27 19:07:20 +0000
committer Eric Hameleers <alien@slackware.com>2019-06-28 08:59:46 +0200
commit690121316c23986aed1479195d7c2c033995c554 (patch)
treefa1fa0d045d4e662a083fa1ea1719ae2d2f6afa1 /source/xap/blueman
parent96e8885d2210ef90772e170bce0f094f6c9a3083 (diff)
downloadcurrent-690121316c23986aed1479195d7c2c033995c554.tar.gz
current-690121316c23986aed1479195d7c2c033995c554.tar.xz
Thu Jun 27 19:07:20 UTC 201920190627190720
ap/vim-8.1.1601-x86_64-1.txz: Upgraded. Built with --disable-canberra. Thanks to Markus Wiesner. l/harfbuzz-2.5.3-x86_64-1.txz: Upgraded. n/nettle-3.5.1-x86_64-1.txz: Upgraded. n/nftables-0.9.1-x86_64-1.txz: Upgraded. t/texlive-2019.190626-x86_64-1.txz: Upgraded. Shared library .so-version bump. Thanks to Johannes Schoepfer. xap/blueman-2.1-x86_64-1.txz: Upgraded. Thanks to Robby Workman. xap/vim-gvim-8.1.1601-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/xap/blueman')
-rwxr-xr-xsource/xap/blueman/blueman.SlackBuild11
-rw-r--r--source/xap/blueman/slack-desc2
2 files changed, 9 insertions, 4 deletions
diff --git a/source/xap/blueman/blueman.SlackBuild b/source/xap/blueman/blueman.SlackBuild
index 0e4ee9b12..2d2a64d58 100755
--- a/source/xap/blueman/blueman.SlackBuild
+++ b/source/xap/blueman/blueman.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=blueman
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -47,7 +47,7 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
-NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+NUMJOBS=${NUMJOBS:-" -j7 "}
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -82,6 +82,11 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Apply git patches
+for i in $CWD/patches/*.patch ; do
+ cat $i | patch -p1 || exit 1
+done
+
# Don't autostart blueman applet in KDE; it has its own bluetooth application
zcat $CWD/dont-autostart-applet-in-kde.diff.gz | patch -p1 --verbose || exit 1
@@ -110,7 +115,7 @@ CYTHONEXEC=/usr/bin/cython3 \
sed -i "s,nautilus,thunar,g" blueman/Constants.py*
# https://github.com/blueman-project/blueman/issues/435
-sed -i "s,#!/usr/bin/env python,#!/usr/bin/python${PYTHON3VER},g" module/_blueman.pyx apps/*
+sed -i "s,#!/usr/bin/env python3,#!/usr/bin/python${PYTHON3VER},g" module/_blueman.pyx apps/*
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
diff --git a/source/xap/blueman/slack-desc b/source/xap/blueman/slack-desc
index e115f7122..93143ff90 100644
--- a/source/xap/blueman/slack-desc
+++ b/source/xap/blueman/slack-desc
@@ -6,7 +6,7 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-blueman: blueman (Graphical Bluetooth Manager)
+blueman: Blueman (Graphical Bluetooth Manager)
blueman:
blueman: Blueman is a GTK+ Bluetooth Manager for tasks such as:
blueman: